<?php

//carga de las clases
include('Animal.class.php');

//inicialización de la clase Animal
$gato = new Animal();
//actualiza del peso del gato
$gato->setPeso(8);
//leer el peso
echo "El peso del gato es:".$gato->getPeso()." kg<br />";
//actualiza del color del gato
$gato->setColor("negro");
//leer el color
echo "El color del gato es:".$gato->getColor()."<br />";

//inicialización de la clase Animal
$pez = new Animal();
//actualiza del peso del pez
$pez->setPeso(1);
//leer el peso
echo "El peso del pez es:".$pez->getPeso()." kg<br />";
//actualiza del color del pez
$pez->setColor("blanco");
//leer el color
echo "El color del pez es:".$pez->getColor()."<br /><br />";

//el gato come el pez
$gato->comer_animal($pez);
//leer el peso
echo "El nuevo peso del gato es:".$gato->getPeso()." kg<br />";
//leer el peso
echo "El peso del pez es:".$pez->getPeso()." kg<br />";
//leer el color
echo "El color del pez es:".$pez->getColor()."<br /><br />";
?>
